<<< Previous |  | Next >>>

# mail::folder::create

## Name

mail::folder::create -- Create a new folder

## Synopsis

#include <libmail/mail.H>
class myCallback : public mail::callback {
public:
void success(std::string msg);
void fail(std::string msg);
};

``folder->`create``(bool `createDirectory`, myCallback &`callback`);`

## USAGE

An alternative way to create a new folder is to use mail::account::folderFromString(3x) to re-create a folder object, and then use the new object's `create` method to create the folder.

See mail::folder::createSubFolder(3x) for more information.

## RETURN CODES AND CALLBACKS

The application must wait until `callback`'s `success` or `fail` method is invoked. The `success` method is invoked when this request is succesfully processed. The `fail` method is invoked if this request cannot be processed. The application must not destroy `callback` until either the `success` or `fail` method is invoked.

NOTE: | `callback`'s `fail` method may be invoked even after other callback methods were invoked. This indicates that the request was partially completed before the error was encountered.

## SEE ALSO

mail::folder::createSubFolder(3x), mail::folder::renameFolder(3x).

<<< Previous | Home | Next >>>
mail::folder::clone | Up | mail::folder::createSubFolder